Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86422 - restest locks up with server grab
Summary: restest locks up with server grab
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-21 19:38 UTC by Owen Taylor
Modified: 2007-04-18 16:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-23 16:17:12 UTC


Attachments (Terms of Use)

Description Owen Taylor 2003-03-21 19:38:43 UTC
The restest.c test program that was incorporated into
our X packages does printf()'s inside XGrabServer().

This is real bad, because printf() can block on the
terminal emulator, which is blocking on the server,
so the X session hangs with a server grab.
 
The program needs to retrieve everything, store it,
ungrab the server, XFlush(TheDisplay), then print
stuff out.

(If you don't XFlush(), then the server probably won't
get the ungrab.)

Comment 1 Mike A. Harris 2003-04-03 22:36:40 UTC
bliz: Is this possibly what you were seeing eons ago?

Comment 2 Christopher Blizzard 2003-04-09 04:10:32 UTC
No, I don't think so.

Comment 3 Owen Taylor 2003-04-09 14:44:59 UTC
Reopening, since there is nothing NEEDINFO here any more.

Comment 4 Mike A. Harris 2004-09-23 16:17:12 UTC
We ship xrestop now, which supercedes the 'restest' hack MarkV
wrote.  Setting status to "CURRENTRELEASE" of FC2 with xrestop


Note You need to log in before you can comment on or make changes to this bug.